Splashy for Edgy 1.5

Splashy for Edgy project paints graphic images directly to framebuffers using libdirectfb.
Splashy for Edgy project paints graphic images directly to framebuffers using libdirectfb.

Splashy is a boot splash program that doesn't require patching the Linux kernel. Splashy project paints graphic images directly to framebuffers using libdirectfb.

-----------------------------------------------------------------
VGA settings
-----------------------------------------------------------------
640x480 800x600 1024x768 1280x1024
256 colors 768 771 773 775
32K colors 784 787 790 793
64K colors 785 788 791 794
16M colors 786 789 792 795
-----------------------------------------------------------------

For 1024x768 at 16bit (64K colors or "thousands of colors") you could pass an argument to the kernel like:

vga=791

These values could be used in base16 also (hexadecimal) like:

vga=0x317

To pass arguments to the kernel, you would need to edit your boot-loader:

1. Grub /boot/grub/menu.lst
hint, in debian, look for "#kopt" and append vga=0x317 to that line. Then run update-grub. Other distros edit the kernel root= line appropriately
2. Lilo /etc/lilo.conf
hint, look for the default image= and edit append= by appending vga=0x317 to it
3. Quik /etc/quik.conf
on PPC machines. Append vga=0x317 to the kernel argument line

Requirements:

libc6 (>= 2.3.4-1)
libdirectfb-0.9-24
libglib2.0-0 (>= 2.8.0)
zlib1g (>= 1:1.2.1)
lsb-base | lsb

What's New in This Release:

Edited previous changelog entry of 0.1.5 to fix the bug was close. We closed the wrong but by mistake. The right one is #314162.
debian/control.in:
Replace all depends for ${shlibs:Depends} since it's auto-generated;
Add build-dependency of libglib2.0-dev at least at version 2.0.1-2 since it included the static library needed for our build;
Add build-dependency to use libdirectfb-dev at least at version 0.9.22 since it included the static library needed for our build;
Add build-dependency on Perl because we need pod2man to generate man pages
Add build-dependency on libjpeg62-dev because libdirectfb-dev needs it but it's missing from its dependancy list
Add package splashy-themes
Add Suggests: for the splashy-themes package
splashy-themes package has no binaries

last updated on:
February 22nd, 2007, 20:05 GMT
price:
FREE!
homepage:
www.kde-apps.org
license type:
GPL (GNU General Public License) 
developed by:
jimmy ruffin
category:
ROOT \ Desktop Environment \ Tools
Splashy for Edgy
Download Button

In a hurry? Add it to your Download Basket!

user rating

UNRATED
0.0/5
 

0/5

Rate it!

Add your review!

SUBMIT